@echo off
rem Batch script to reformat and regroup speedcam.gpx from dowloaded SpeedCamGarmin.zip
rem Used MSXSL.EXE (XSLT processor) could be downloaded from http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=21714



rem Extract downloaded SpeedCamGarmin.zip manually into "SpeedCamGarmin" subfolder or use unzip.exe
rem (unzip.exe could obtained from ftp://ftp.info-zip.org/pub/infozip/win32/unz600xn.exe self-extracting archive)
rem unzip.exe -o SpeedCamGarmin.zip -d SpeedCamGarmin

rem Full/relative path of extacted source GPX file from downloaded SpeedCamGarmin.zip file
set SourceGpxFile=SpeedCamGarmin\POI\speedcam.gpx

rem Source BMP icons folder; could be the extracted SpeedCamGarmin.zip's folder
set SourceIconsDir=SpeedCamGarmin\POI
rem set SourceIconsDir=SpeedCam_IconsNew_

rem Source WAV audio files folder (could be an absolute path)
rem Comment this option to exclude audio:
set SourceAudioDir=SpeedCam_Voice

rem Target GPX name (output folder name; could be an absolute path)
rem set TargetGpxName=mapcam
set TargetGpxName=Speedcam

rem Target GPX root category name (output subfolder name)
set TargetGpxCategory=Mapcam.info Speedcams



echo Creating output directories...
mkdir "%TargetGpxName%"
del /q /s "%TargetGpxName%\*.gpx"
for /D %%f in (%TargetGpxName%\*.*) do rmdir /s /q "%%f"
mkdir "%TargetGpxName%\%TargetGpxCategory%"

echo Copying icons into output...
xcopy "%SourceIconsDir%\*.bmp" "%TargetGpxName%" /y

echo Copying audio into output...
if exist "%SourceAudioDir%" xcopy "%SourceAudioDir%\*.wav" "%TargetGpxName%" /y

echo Splitting GPX by groups...
rem Comment any necessary MSXSL.EXE calling line to exclude appropriate warnings from output:
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Radar.gpx" WarningTypeId=1
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Radar (Traffic Light).gpx" WarningTypeId=2
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Radar (Red Light).gpx" WarningTypeId=3
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Radar (Pair).gpx" WarningTypeId=4
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Mobile Radar.gpx" WarningTypeId=5
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Stationary Post.gpx" WarningTypeId=20
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Railroad Crossing.gpx" WarningTypeId=21
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\School.gpx" WarningTypeId=22
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Built-up Area.gpx" WarningTypeId=100
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Speed Control.gpx" WarningTypeId=101
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Speed Bump.gpx" WarningTypeId=102
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Bad Road.gpx" WarningTypeId=103
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Dangerous Turn.gpx" WarningTypeId=104
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Dangerous Crossroad.gpx" WarningTypeId=105
msxsl.exe "%SourceGpxFile%" GpxFilter.xslt -t -o "%TargetGpxName%\%TargetGpxCategory%\Other Danger.gpx" WarningTypeId=106

echo POI Loader can be now called with "%CD%\%TargetGpxName%" folder path to source data files
rem "C:\Program Files\Garmin\POI Loader\POI Loader.exe" /silent

pause
